Loading...
Searching...
No Matches
casacore::FitsBit Class Reference
fits package (libcasa_fits) » FITS_module

helper class for FITS Binary Tables More...

`#include <fits.h>`

## Public Member Functions

| FitsBit ()
| FitsBit (unsigned char x)
FitsBit & | operator= (unsigned char x)
| operator unsigned char () const

## Protected Attributes

unsigned char | bit_array

## Detailed Description

helper class for FITS Binary Tables

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

This class is not intended for general use. It only has meaning in the context of FITS Binary tables. There its use is incorporated into the concept of a FitsField, where FitsBit is given a specialized interpretation.

Definition at line 116 of file fits.h.

## Constructor & Destructor Documentation

## FitsBit() [1/2]

casacore::FitsBit::FitsBit | ( |  | ) |

inline

Definition at line 118 of file fits.h.

References bit_array.

Referenced by operator=().

## FitsBit() [2/2]

casacore::FitsBit::FitsBit | ( | unsigned char | x | ) |

inline

Definition at line 119 of file fits.h.

References bit_array.

## Member Function Documentation

## operator unsigned char()

casacore::FitsBit::operator unsigned char | ( |  | ) | const

inline

Definition at line 121 of file fits.h.

References bit_array.

## operator=()

FitsBit & casacore::FitsBit::operator= | ( | unsigned char | x | ) |

inline

Definition at line 120 of file fits.h.

References bit_array, and FitsBit().

## Member Data Documentation

## bit_array

unsigned char casacore::FitsBit::bit_array

protected

Definition at line 123 of file fits.h.

Referenced by FitsBit(), FitsBit(), operator unsigned char(), and operator=().

The documentation for this class was generated from the following file:

- fits/FITS/fits.h